;--------------------------------------------------------
; File Created by ZCCC : free open source ANSI-C Compiler
; Version 3.6.0 #Apr 15 2020 (MSVC)
;--------------------------------------------------------
; MC8X port for the RISC core
;--------------------------------------------------------
;	.file	"QT8S736_EEPROM.C"
	list	p=QT8S736
	radix dec
	include "QT8S736.inc"
;--------------------------------------------------------
; external declarations
;--------------------------------------------------------
	extern	_System_Init
	extern	_Clr_RAM_00H_7FH
	extern	_EEPROM_Write_Read
	extern	_Interrupt_INIT
	extern	_EEPROM_Write_Byte
	extern	_EEPROM_Read
	extern	_EEPROM_Read_Byte
	extern	_INDF0bits
	extern	_FSR0bits
	extern	_INDF1bits
	extern	_FSR1bits
	extern	_PCLbits
	extern	_STATUSbits
	extern	_OPTIONbits
	extern	_OSCMbits
	extern	_WDTCbits
	extern	_IOBICRbits
	extern	_INDF2bits
	extern	_HBUFbits
	extern	_PDBbits
	extern	_INTCR0bits
	extern	_INTF0bits
	extern	_INTCR1bits
	extern	_INTF1bits
	extern	_IOAbits
	extern	_OEAbits
	extern	_PUAbits
	extern	_ANSAbits
	extern	_IOBbits
	extern	_OEBbits
	extern	_PUBbits
	extern	_ANSBbits
	extern	_IOCbits
	extern	_OECbits
	extern	_PUCbits
	extern	_ANSCbits
	extern	_IOIDSbits
	extern	_I2CADRbits
	extern	_I2CCONbits
	extern	_I2CBUFbits
	extern	_PWM0CRbits
	extern	_PWM0Dbits
	extern	_TXCRbits
	extern	_TXREGbits
	extern	_RXCRbits
	extern	_RXREGbits
	extern	_BRGDHbits
	extern	_BRGDLbits
	extern	_ADCON0bits
	extern	_ADCON1bits
	extern	_ADCON2bits
	extern	_T1CRbits
	extern	_TC1CLbits
	extern	_TC1CHbits
	extern	_T0CRbits
	extern	_TC0CLbits
	extern	_TC0CHbits
	extern	_PWM1DEADbits
	extern	_PWM1Sbits
	extern	_PWM1CRbits
	extern	_PWM1DLbits
	extern	_PWM1DHbits
	extern	_EECON1bits
	extern	_EECON2bits
	extern	_VREFCALbits
	extern	_IRCCALbits
	extern	_INDF0
	extern	_FSR0
	extern	_INDF1
	extern	_FSR1
	extern	_PCL
	extern	_STATUS
	extern	_OPTION
	extern	_OSCM
	extern	_WDTC
	extern	_IOBICR
	extern	_INDF2
	extern	_HBUF
	extern	_PDB
	extern	_INTCR0
	extern	_INTF0
	extern	_INTCR1
	extern	_INTF1
	extern	_IOA
	extern	_OEA
	extern	_PUA
	extern	_ANSA
	extern	_IOB
	extern	_OEB
	extern	_PUB
	extern	_ANSB
	extern	_IOC
	extern	_OEC
	extern	_PUC
	extern	_ANSC
	extern	_IOIDS
	extern	_I2CADR
	extern	_I2CCON
	extern	_I2CBUF
	extern	_PWM0CR
	extern	_PWM0D
	extern	_TXCR
	extern	_TXREG
	extern	_RXCR
	extern	_RXREG
	extern	_BRGDH
	extern	_BRGDL
	extern	_ADCON0
	extern	_ADCON1
	extern	_ADL
	extern	_ADH
	extern	_ADCON2
	extern	_T1CR
	extern	_TC1CL
	extern	_TC1CH
	extern	_T0CR
	extern	_TC0CL
	extern	_TC0CH
	extern	_PWM1DEAD
	extern	_PWM1S
	extern	_PWM1CR
	extern	_PWM1DL
	extern	_PWM1DH
	extern	_EECON1
	extern	_EECON2
	extern	_VREFCAL
	extern	_IRCCAL
	extern	__zccc_gsinit_startup
;--------------------------------------------------------
; global declarations
;--------------------------------------------------------
	global	_int_isr
	global	_main

	global STK11
	global STK10
	global STK09
	global STK08
	global STK07
	global STK06
	global STK05
	global STK04
	global STK03
	global STK02
	global STK01
	global STK00

sharebank udata_ovr 0x0000
STK11	res 1
STK10	res 1
STK09	res 1
STK08	res 1
STK07	res 1
STK06	res 1
STK05	res 1
STK04	res 1
STK03	res 1
STK02	res 1
STK01	res 1
STK00	res 1

;--------------------------------------------------------
; global definitions
;--------------------------------------------------------
;--------------------------------------------------------
; absolute symbol definitions
;--------------------------------------------------------
;--------------------------------------------------------
; compiler-defined variables
;--------------------------------------------------------
;--------------------------------------------------------
; initialized data
;--------------------------------------------------------

;@Allocation info for local variables in function 'int_isr'
;@int_isr System_Init               Allocated to registers ;size:2
;@int_isr Clr_RAM_00H_7FH           Allocated to registers ;size:2
;@int_isr EEPROM_Write_Read         Allocated to registers ;size:2
;@int_isr Interrupt_INIT            Allocated to registers ;size:2
;@int_isr EEPROM_Write_Byte         Allocated to registers ;size:2
;@int_isr EEPROM_Read               Allocated to registers ;size:2
;@int_isr EEPROM_Read_Byte          Allocated to registers ;size:2
;@int_isr int_isr                   Allocated to registers ;size:2
;@int_isr INDF0bits                 Allocated to registers ;size:1
;@int_isr FSR0bits                  Allocated to registers ;size:1
;@int_isr INDF1bits                 Allocated to registers ;size:1
;@int_isr FSR1bits                  Allocated to registers ;size:1
;@int_isr PCLbits                   Allocated to registers ;size:1
;@int_isr STATUSbits                Allocated to registers ;size:1
;@int_isr OPTIONbits                Allocated to registers ;size:1
;@int_isr OSCMbits                  Allocated to registers ;size:1
;@int_isr WDTCbits                  Allocated to registers ;size:1
;@int_isr IOBICRbits                Allocated to registers ;size:1
;@int_isr INDF2bits                 Allocated to registers ;size:1
;@int_isr HBUFbits                  Allocated to registers ;size:1
;@int_isr PDBbits                   Allocated to registers ;size:1
;@int_isr INTCR0bits                Allocated to registers ;size:1
;@int_isr INTF0bits                 Allocated to registers ;size:1
;@int_isr INTCR1bits                Allocated to registers ;size:1
;@int_isr INTF1bits                 Allocated to registers ;size:1
;@int_isr IOAbits                   Allocated to registers ;size:1
;@int_isr OEAbits                   Allocated to registers ;size:1
;@int_isr PUAbits                   Allocated to registers ;size:1
;@int_isr ANSAbits                  Allocated to registers ;size:1
;@int_isr IOBbits                   Allocated to registers ;size:1
;@int_isr OEBbits                   Allocated to registers ;size:1
;@int_isr PUBbits                   Allocated to registers ;size:1
;@int_isr ANSBbits                  Allocated to registers ;size:1
;@int_isr IOCbits                   Allocated to registers ;size:1
;@int_isr OECbits                   Allocated to registers ;size:1
;@int_isr PUCbits                   Allocated to registers ;size:1
;@int_isr ANSCbits                  Allocated to registers ;size:1
;@int_isr IOIDSbits                 Allocated to registers ;size:1
;@int_isr I2CADRbits                Allocated to registers ;size:1
;@int_isr I2CCONbits                Allocated to registers ;size:1
;@int_isr I2CBUFbits                Allocated to registers ;size:1
;@int_isr PWM0CRbits                Allocated to registers ;size:1
;@int_isr PWM0Dbits                 Allocated to registers ;size:1
;@int_isr TXCRbits                  Allocated to registers ;size:1
;@int_isr TXREGbits                 Allocated to registers ;size:1
;@int_isr RXCRbits                  Allocated to registers ;size:1
;@int_isr RXREGbits                 Allocated to registers ;size:1
;@int_isr BRGDHbits                 Allocated to registers ;size:1
;@int_isr BRGDLbits                 Allocated to registers ;size:1
;@int_isr ADCON0bits                Allocated to registers ;size:1
;@int_isr ADCON1bits                Allocated to registers ;size:1
;@int_isr ADCON2bits                Allocated to registers ;size:1
;@int_isr T1CRbits                  Allocated to registers ;size:1
;@int_isr TC1CLbits                 Allocated to registers ;size:1
;@int_isr TC1CHbits                 Allocated to registers ;size:1
;@int_isr T0CRbits                  Allocated to registers ;size:1
;@int_isr TC0CLbits                 Allocated to registers ;size:1
;@int_isr TC0CHbits                 Allocated to registers ;size:1
;@int_isr PWM1DEADbits              Allocated to registers ;size:1
;@int_isr PWM1Sbits                 Allocated to registers ;size:1
;@int_isr PWM1CRbits                Allocated to registers ;size:1
;@int_isr PWM1DLbits                Allocated to registers ;size:1
;@int_isr PWM1DHbits                Allocated to registers ;size:1
;@int_isr EECON1bits                Allocated to registers ;size:1
;@int_isr EECON2bits                Allocated to registers ;size:1
;@int_isr VREFCALbits               Allocated to registers ;size:1
;@int_isr IRCCALbits                Allocated to registers ;size:1
;@int_isr INDF0                     Allocated to registers ;size:1
;@int_isr FSR0                      Allocated to registers ;size:1
;@int_isr INDF1                     Allocated to registers ;size:1
;@int_isr FSR1                      Allocated to registers ;size:1
;@int_isr PCL                       Allocated to registers ;size:1
;@int_isr STATUS                    Allocated to registers ;size:1
;@int_isr OPTION                    Allocated to registers ;size:1
;@int_isr OSCM                      Allocated to registers ;size:1
;@int_isr WDTC                      Allocated to registers ;size:1
;@int_isr IOBICR                    Allocated to registers ;size:1
;@int_isr INDF2                     Allocated to registers ;size:1
;@int_isr HBUF                      Allocated to registers ;size:1
;@int_isr PDB                       Allocated to registers ;size:1
;@int_isr INTCR0                    Allocated to registers ;size:1
;@int_isr INTF0                     Allocated to registers ;size:1
;@int_isr INTCR1                    Allocated to registers ;size:1
;@int_isr INTF1                     Allocated to registers ;size:1
;@int_isr IOA                       Allocated to registers ;size:1
;@int_isr OEA                       Allocated to registers ;size:1
;@int_isr PUA                       Allocated to registers ;size:1
;@int_isr ANSA                      Allocated to registers ;size:1
;@int_isr IOB                       Allocated to registers ;size:1
;@int_isr OEB                       Allocated to registers ;size:1
;@int_isr PUB                       Allocated to registers ;size:1
;@int_isr ANSB                      Allocated to registers ;size:1
;@int_isr IOC                       Allocated to registers ;size:1
;@int_isr OEC                       Allocated to registers ;size:1
;@int_isr PUC                       Allocated to registers ;size:1
;@int_isr ANSC                      Allocated to registers ;size:1
;@int_isr IOIDS                     Allocated to registers ;size:1
;@int_isr I2CADR                    Allocated to registers ;size:1
;@int_isr I2CCON                    Allocated to registers ;size:1
;@int_isr I2CBUF                    Allocated to registers ;size:1
;@int_isr PWM0CR                    Allocated to registers ;size:1
;@int_isr PWM0D                     Allocated to registers ;size:1
;@int_isr TXCR                      Allocated to registers ;size:1
;@int_isr TXREG                     Allocated to registers ;size:1
;@int_isr RXCR                      Allocated to registers ;size:1
;@int_isr RXREG                     Allocated to registers ;size:1
;@int_isr BRGDH                     Allocated to registers ;size:1
;@int_isr BRGDL                     Allocated to registers ;size:1
;@int_isr ADCON0                    Allocated to registers ;size:1
;@int_isr ADCON1                    Allocated to registers ;size:1
;@int_isr ADL                       Allocated to registers ;size:1
;@int_isr ADH                       Allocated to registers ;size:1
;@int_isr ADCON2                    Allocated to registers ;size:1
;@int_isr T1CR                      Allocated to registers ;size:1
;@int_isr TC1CL                     Allocated to registers ;size:1
;@int_isr TC1CH                     Allocated to registers ;size:1
;@int_isr T0CR                      Allocated to registers ;size:1
;@int_isr TC0CL                     Allocated to registers ;size:1
;@int_isr TC0CH                     Allocated to registers ;size:1
;@int_isr PWM1DEAD                  Allocated to registers ;size:1
;@int_isr PWM1S                     Allocated to registers ;size:1
;@int_isr PWM1CR                    Allocated to registers ;size:1
;@int_isr PWM1DL                    Allocated to registers ;size:1
;@int_isr PWM1DH                    Allocated to registers ;size:1
;@int_isr EECON1                    Allocated to registers ;size:1
;@int_isr EECON2                    Allocated to registers ;size:1
;@int_isr VREFCAL                   Allocated to registers ;size:1
;@int_isr IRCCAL                    Allocated to registers ;size:1
;@end Allocation info for local variables in function 'int_isr';

;--------------------------------------------------------
; overlayable items in internal ram 
;--------------------------------------------------------
;	udata_ovr
;--------------------------------------------------------
; reset vector 
;--------------------------------------------------------
STARTUP	code 0x0000
	goto	__zccc_gsinit_startup
;--------------------------------------------------------
; interrupt and initialization code
;--------------------------------------------------------
c_interrupt	code	0x0008
__sdcc_interrupt:
;***
;  pBlock Stats: dbName = I
;***
;; Starting pCode block
_int_isr:	;Function start
; 0 exit points
;	.line	19; QT8S736_EEPROM.C	__PUSH();                    //进栈、保存A、STATUS
	PUSH
;	.line	22; QT8S736_EEPROM.C	__NOP();
	NOP
;	.line	24; QT8S736_EEPROM.C	__POP();                     //出栈、恢复A、STATUS
	POP
END_OF_INTERRUPT:
	RETIE	

;--------------------------------------------------------
; code
;--------------------------------------------------------
code_QT8S736_EEPROM	code
;***
;  pBlock Stats: dbName = M
;***
;has an exit
;functions called:
;   _System_Init
;   _Clr_RAM_00H_7FH
;   _EEPROM_Write_Read
;   _System_Init
;   _Clr_RAM_00H_7FH
;   _EEPROM_Write_Read
;; Starting pCode block
S_QT8S736_EEPROM__main	code
_main:	;Function start
; 2 exit points
;	.line	32; QT8S736_EEPROM.C	System_Init();              //系统初始化
	CALL	_System_Init
;	.line	33; QT8S736_EEPROM.C	Clr_RAM_00H_7FH();          //清零RAM
	CALL	_Clr_RAM_00H_7FH
_00110_DS_:
;	.line	36; QT8S736_EEPROM.C	EEPROM_Write_Read();    //EEPROM读写
	CALL	_EEPROM_Write_Read
;	.line	37; QT8S736_EEPROM.C	__CLRWDT();				//清除看门狗
	CLRWDT
	GOTO	_00110_DS_
	RETURN	
; exit point of _main


;	code size estimation:
;	    6+    0 =     6 instructions (   12 byte)

	end
