;*************************************************************************
;============================  系统初始化    =============================
;*************************************************************************

;*************************************************************************
;============================   异步初始化   =============================
;*************************************************************************

ASYNC_INIT:         
	
        MOVIA      0x00    ;//0:上拉关闭 1:上拉使能
        MOVAR      PUA
        MOVIA      0xFF    ;//0:输入 1:输出
        MOVAR      OEA
        MOVIA      0x00    ;//IO口数据
        MOVAR      IOA 
		
        MOVIA      0x00    ;//0:上拉关闭 1:上拉使能
        MOVAR      PUB		
        MOVIA      0xEF    ;//0:输入 1:输出
        MOVAR      OEB
        MOVIA      0x00    ;//IO口数据
        MOVAR      IOB

; ;//----------------------------------------------------      
; ;//Init 中断 

		MOVIA        0x80
		MOVAR        RXCR
	    MOVIA        0x80
		MOVAR        TXCR
		
		BSET         TXCR,TX9          ;//数据长度选择
        BCLR         TXCR,SPD1         ;//波特率分频比
	    BCLR         TXCR,SPD0         ;//0:0    4 
        BSET         RXCR,RX9          ;//数据长度选择
		
        BCLR         RXCR,RX9          ;//接收第9位数            
        BCLR         TXCR,TX9          ;//发送第9位数
		MOVIA		 0x00
	    MOVAR		 BRGDH
	    MOVIA		 0x67
	    MOVAR		 BRGDL		       ;//38400
		
; ;//----------------------------------------------------      
; ;//Init 中断 

		BCLR         INTF0,RXIF     ;//清中断标志
		BCLR         INTF0,TXIF     ;//清中断标志
		BSET         INTCR0,RXIE    ;//1:使能串行通讯接收中断,0:屏蔽串行通讯接收中断
        BSET         INTCR0,TXIE
		BSET         OPTION,GIE     ;//1:总中断使能,0:屏蔽所有中断
        RETURN

